Nautilus doesn't show the "Open with Shotwell" option

Bug #1238149 reported by Rafael A. de Almeida on 2013-10-10
32
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Nautilus
Unknown
Unknown
gtk+3.0 (Ubuntu)
High
Unassigned
Saucy
High
Unassigned
nautilus (Ubuntu)
High
Sebastien Bacher
Saucy
High
Unassigned

Bug Description

Impact: some mimetype handlers are not listed as choices to open files in nautilus

Test case:
- open nautilus
- right click on an image file (jpg for example)
- select the properties option
- go to the open with tab
-> the shotwell viewer should be listed as an option

Regression potentiel: that's a gtk bug fix update, check that gtk applications and GNOME/Unity session still work without issue (e.g try to running/using eog, gedit, nautilus)

-----

Shows "Open with ImageMagick (display)" and "Open with Firefox", but don't show the "Open with Shotwell"

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: shotwell 0.15.0~pr3-0ubuntu1
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
Uname: Linux 3.11.0-12-generic x86_64
ApportVersion: 2.12.5-0ubuntu1
Architecture: amd64
Date: Thu Oct 10 13:26:50 2013
ExecutablePath: /usr/bin/shotwell
InstallationDate: Installed on 2013-10-06 (4 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Beta amd64 (20130925.1)
MarkForUpload: True
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
SourcePackage: shotwell
UpgradeStatus: No upgrade log present (probably fresh install)

Sebastien Bacher (seb128) wrote :

Thank you for your bug report, I can confirm that. It's a bit weird, gvfs-mime --query "image/jpeg" lists it and it's in the choices if you use nemo, that seems like a nautilus bug (or something shotwell does that nautilus doesn't like)

Jim Nelson (yorba-jim) wrote :

This is known (ticketed at http://redmine.yorba.org/issues/7292), but the ultimate cause is https://bugzilla.gnome.org/show_bug.cgi?id=702681 The bugzilla ticket (and this one: https://bugzilla.gnome.org/show_bug.cgi?id=705644) go into the problem and reasons, but the final result is that this is fixed and should be available in GTK 3.10.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in shotwell (Ubuntu):
status: New → Confirmed
affects: shotwell (Ubuntu) → nautilus (Ubuntu)
Changed in nautilus (Ubuntu):
status: Confirmed → New
Sebastien Bacher (seb128) wrote :

Upstream reverted that decision in 3.10:
https://git.gnome.org/browse/nautilus/commit/?id=9a4ff3ca0d8476e15daa6dd92ac6c0eb8c5b9695

We are going to do the same for saucy, backporting the patch to the current serie

Changed in nautilus (Ubuntu):
assignee: nobody → Sebastien Bacher (seb128)
importance: Undecided → High
status: New → Fix Committed
Changed in gtk+3.0 (Ubuntu):
status: New → Fix Committed
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.8.2-0ubuntu2

---------------
nautilus (1:3.8.2-0ubuntu2) saucy; urgency=low

  * debian/patches/git_list_handlers.patch: nautilus was made, during
    the 3.8 cycle, to ignore the mimetype handlers with NoDisplay=true.
    The change turned out to be wrong and got reverted in 3.10, doing the
    same here. It makes, e.g shotwell to be listed again (lp: #1238149)
 -- Sebastien Bacher <email address hidden> Fri, 11 Oct 2013 15:20:43 +0200

Changed in nautilus (Ubuntu):
status: Fix Committed → Fix Released
Changed in gtk+3.0 (Ubuntu Saucy):
status: New → Triaged
Changed in nautilus (Ubuntu Saucy):
status: New → Fix Released
importance: Undecided → High
Changed in gtk+3.0 (Ubuntu Saucy):
importance: Undecided → High
description: updated

it works now

Arnaud Thevenet (aeromousse) wrote :

Thanks for the fix, but Shotwell Viewer still does not appear in "Properties>Open with" list. Only Shotwell is in the list, which cannot actually open files, but just open the image library.

Sebastien Bacher (seb128) wrote :

> Thanks for the fix, but Shotwell Viewer still does not appear in "Properties>Open with" list.

right, that's the gtk+3.0 component of that bug, the saucy upload is currently waiting in the saucy SRU queue for review

Hello Rafael, or anyone else affected,

Accepted gtk+3.0 into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gtk+3.0/3.8.6-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gtk+3.0 (Ubuntu Saucy):
status: Triaged → Fix Committed
tags: added: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.8.6-0ubuntu2

---------------
gtk+3.0 (3.8.6-0ubuntu2) saucy; urgency=low

  * Backport fixes from git
  * debian/patches/git_frame_disconnect.patch
    debian/patches/git_frame_update.patch:
    - "This fixes high wake-up count from any application using GtkTreeView,
       even idle ones."
  * debian/patches/git_submenus_leak.patch:
    - "don't leak submenus", thanks Lars Uebernickel (lp: #1199877)

gtk+3.0 (3.8.6-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/patches/git_padding_value.patch:
    - drop, the fix is the new version
  * debian/patches/git_list_handlers.patch: gtk was made, during
    the 3.8 cycle, to ignore the mimetype handlers with NoDisplay=true.
    The change turned out to be wrong and got reverted in 3.10, doing the
    same here. It makes, e.g shotwell to be listed again (lp: #1238149)
 -- Sebastien Bacher <email address hidden> Mon, 28 Oct 2013 10:50:18 -0700

Changed in gtk+3.0 (Ubuntu):
status: Fix Committed → Fix Released

Solved :)

tags: added: verification-done
removed: verification-needed
Sebastien Bacher (seb128) wrote :

Setting to verification-failed to block the SRU, it's making an ido bug more visible and we need that SRU to move to updates first, I'm going to change back to -done once ido is in, so GTK can move

tags: added: verification-failed
removed: verification-done
Sebastien Bacher (seb128) wrote :

ido moved to -updates, setting back that one as verification-done

tags: added: verification-done
removed: verification-failed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gtk+3.0 - 3.8.6-0ubuntu2

---------------
gtk+3.0 (3.8.6-0ubuntu2) saucy; urgency=low

  * Backport fixes from git
  * debian/patches/git_frame_disconnect.patch
    debian/patches/git_frame_update.patch:
    - "This fixes high wake-up count from any application using GtkTreeView,
       even idle ones."
  * debian/patches/git_submenus_leak.patch:
    - "don't leak submenus", thanks Lars Uebernickel (lp: #1199877)

gtk+3.0 (3.8.6-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/patches/git_padding_value.patch:
    - drop, the fix is the new version
  * debian/patches/git_list_handlers.patch: gtk was made, during
    the 3.8 cycle, to ignore the mimetype handlers with NoDisplay=true.
    The change turned out to be wrong and got reverted in 3.10, doing the
    same here. It makes, e.g shotwell to be listed again (lp: #1238149)
 -- Sebastien Bacher <email address hidden> Mon, 28 Oct 2013 10:50:18 -0700

Changed in gtk+3.0 (Ubuntu Saucy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.